Bug 587485 - [abrt] crash in system-config-firewall-1.2.21-1.fc12
[abrt] crash in system-config-firewall-1.2.21-1.fc12
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:0fc76328
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 22:07 EDT by ventiman
Modified: 2010-06-01 09:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-01 09:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (764 bytes, text/plain)
2010-04-29 22:07 EDT, ventiman
no flags Details

  None (edit)
Description ventiman 2010-04-29 22:07:32 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/system-config-firewall 
comment: just unmarked ipv6
component: system-config-firewall
executable: /usr/bin/system-config-firewall
kernel: 2.6.31.5-127.fc12.i686.PAE
package: system-config-firewall-1.2.21-1.fc12
release: Fedora release 12 (Constantine)
uuid: 085702e3

backtrace
-----
Summary: TB085702e3 shutil.py:52:copyfile:IOError: [Errno 13] Permission denied: '/etc/sysconfig/iptables-config'

Traceback (most recent call last):
  File "/usr/share/system-config-firewall/fw_gui.py", line 2038, in settings
    ip4tables_conf.write()
  File "/usr/share/system-config-firewall/fw_iptables.py", line 144, in write
    shutil.copy2(self.filename, "%s.old" % self.filename)
  File "/usr/lib/python2.6/shutil.py", line 99, in copy2
    copyfile(src, dst)
  File "/usr/lib/python2.6/shutil.py", line 52, in copyfile
    fsrc = open(src, 'rb')
IOError: [Errno 13] Permission denied: '/etc/sysconfig/iptables-config'

Local variables in innermost frame:
src: /etc/sysconfig/iptables-config
dst: /etc/sysconfig/iptables-config.old
fdst: None
fsrc: None

How to reproduce
-----
1.just unmarked ipv6
2.
3.
Comment 1 ventiman 2010-04-29 22:07:35 EDT
Created attachment 410290 [details]
File: backtrace
Comment 2 Thomas Woerner 2010-04-30 05:18:06 EDT
Please add the output of "ls -laZ  /etc/sysconfig/iptables-config".
Are there SELinux denial messages?
Comment 3 Thomas Woerner 2010-06-01 09:45:27 EDT
Closing due to user inactivity.

Note You need to log in before you can comment on or make changes to this bug.